For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
        • POSTList RCS Campaigns
        • GETGet RCS Campaign by ID
        • POSTCreate or Update RCS Campaign
        • POSTSubmit RCS Campaign
        • POSTAutofill RCS Campaign Information
        • POSTValidate RCS Campaign Information
LogoLogo
SupportDashboard
API ReferenceCampaignsRCS

Submit RCS Campaign

POST
https://api.pinnacle.sh/campaigns/rcs/submit/:campaignId
POST
/campaigns/rcs/submit/:campaignId
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.campaigns.rcs.submit("rcs_1234567890");
8}
9main();
1{
2 "success": true
3}
Submit your RCS campaign for approval and activation with carriers.
Was this page helpful?
Previous

Autofill RCS Campaign Information

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

campaignIdstringRequired

Unique identifier of the RCS campaign to retrieve. Must begin with the prefix rcs_.

Response

Successfully submitted RCS campaign for approval.
successboolean
Indicates whether the campaign submission was successful.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error